Bug 1778181 - [UI] The lock option is missing in template import
Summary: [UI] The lock option is missing in template import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-11-29 12:51 UTC by Jitendra Yejare
Modified: 2020-10-12 09:40 UTC (History)
2 users (show)

Fixed In Version: rubygem-foreman_templates-7.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28396 Normal Closed [UI] The lock option is missing in template import 2020-10-26 09:05:15 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Jitendra Yejare 2019-11-29 12:51:55 UTC
Description of problem:
The Foreman Templates import in UI and from Hosts -> Templates -> Sync Templates is missing an option of 'lock' that locks the imported templates.

Version-Release number of selected component (if applicable):
Satellite 6.3 snap 3

How reproducible:
Always

Steps to Reproduce:
1. From UI, Hosts -> Templates -> Sync Templates , Attempt to import the templates that should be locked.

Actual results:
The option of the lock is missing in UI from import sections.

Expected results:
The option of the lock should be available in UI for import sections.

Additional info:
The same is available in CLI and API.

Comment 4 Ondřej Pražák 2019-12-03 08:20:18 UTC
Created redmine issue https://projects.theforeman.org/issues/28396 from this bug

Comment 6 Bryan Kearney 2019-12-03 15:03:09 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Bryan Kearney 2019-12-03 15:03:12 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2019-12-10 17:03:12 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28396 has been resolved.

Comment 9 Jitendra Yejare 2019-12-17 13:29:07 UTC
Verified!

@Satellite 6.7 snap 6


Steps:
--------
1. From UI, Hosts -> Templates -> Sync Templates, Attempt to import the templates that should be locked.


Observation:
--------------
1. The option to import the template as locked is available -  'Lock templates'.
2. Also, the template is successfully imported as locked.

Comment 12 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.